Subject: bug#47230: Build phase to graft during build for better grafts QA

From: Léo Le Bouter <[email-masked]>
Date: Thu, 18 Mar 2021 12:38:44 +0100

Hello!

I am having an hard time testing grafts in GNU Guix while I think we
could have better tooling around this.

For example, we could have a package transformation that can add a
phase before 'check (or others) to graft any intermediate build binary
and all dependencies (if not done already) to run the test suite WITH
the graft. This could be turned on by GNU Guix contributors after
trying to graft some package to ensure it does not break things.

What do you think?

Léo